msgfmt warning in book

Scot Mc Pherson scot at linuxfromscratch.org
Wed Jun 18 09:05:01 PDT 2003


Andy Neebel wrote:

> I am trying to build LFS using the cvs and noticed the warning in the book
> about msgfmt.  I found this earlier and fixed on my computer.  My base
> system is Debian 3.0 (woody).
> 
> The fix that I found was to install the gettext package.  The system by
> default installs gettext-base, which doesn't contain the needed program.
> After doing this the error went away.
> 
> Just thought you might be interested.
> 
> Andy

Yes we know this, infact that's the way we used to build LFS by building and
installing the msgfmt portion of gettext in chapter 5.  But since the error
message is really just a warning and doesn't effect the system at all if
you do not change your .po files, then it makes no sense to go through all
the extra time, just so that one doesn't see a useless (for our purposes)
warning.  You can install gettext if you want, it won't hurt anything, but
it is unnecessary for 99.999% (roughly) of LFS installations.

-- 
Scot Mc Pherson
Linux From Scratch
scot at linuxfromscratch.org
http://www.linuxfromscratch.org/~scot/
-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe lfs-dev' in the subject header of the message



More information about the lfs-dev mailing list